"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isWin = function () { return process.platform === 'win32'; };
var isColor = function () {
    var termColor = /^screen|^xterm|^vt100|color|ansi|cygwin|linux/i;
    return !!process.env.COLORTERM || termColor.test(process.env.TERM || '');
};
/**
 * Returns true if the current terminal supports color
 * @example
 * hasColor()
 */
var hasColor = function () { return isWin() || isColor(); };
exports.default = hasColor;
