"use strict";
/**
 * The same as what's in Node's `module` (see `lib/internal/module`).
 * Remove byte order marker. This catches EF BB BF (the UTF-8 BOM)
 * because the buffer-to-string conversion in `fs.readFileSync()`
 * translates it to FEFF, the UTF-16 BOM.
 * @example
 * removeBOM(someContent)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var removeBOM = function (content) {
    return content.charCodeAt(0) === 65279 ? content.slice(1) : content;
};
exports.default = removeBOM;
