"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var util_1 = require("util");
var fn = process.argv[2] || process.env.ERR_FILE || 'err.log';
var file = fs_1.createWriteStream(__dirname + "/" + fn, { flags: 'w' });
/**
 * Use instead of `console.error()`
 *
 * Logs to file and stdout both
 * @example
 * writeError('foo')
 */
var writeError = function (data) {
    var msg = util_1.format(data) + '\n';
    file.write(msg);
    process.stdout.write(msg);
};
exports.default = writeError;
