"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
/**
 * Write JSON from a stringifiable value
 * @example
 * writeJson('foo.json', someObject, 4, (err) => {})
 */
var writeJson = function (file, data, indent, cb) {
    if (indent === void 0) { indent = 2; }
    var callback = cb;
    var ind;
    if (typeof indent === 'function') {
        callback = indent;
        ind = 0;
    }
    else {
        ind = indent;
    }
    if (!callback) {
        throw new Error('cb is required');
    }
    var json;
    try {
        json = JSON.stringify(data, null, ind);
    }
    catch (e) {
        callback(e);
        return;
    }
    fs_1.writeFile(file, json, 'utf8', callback);
};
exports.default = writeJson;
